import { Component, Input, Output, Host, EventEmitter } from '@angular/core';
import { PingResult } from '@overflow/model/ping';


@Component({
  selector: 'app-node-detail',
  templateUrl: './node-detail.component.html',
  styleUrls: ['./node-detail.component.scss'],
})
export class NodeDetailComponent {

  @Input() node;
  @Output() otherHostSelect = new EventEmitter<Host>();
  @Output() ping = new EventEmitter<PingResult>();

  constructor(
  ) {

  }

  otherHostSelected(host: Host) {
    this.otherHostSelect.emit(host);
  }

}
